package com.xhkjedu.sapi.service.appversion;

import com.xhkjedu.sapi.listener.MessageSender;
import com.xhkjedu.sapi.mapper.appversion.AppTeacherliveMapper;
import com.xhkjedu.sapi.model.appversion.TAppTeacherlive;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.sapi.vo.appversion.AppversionVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author ywx
 * @classname ApppcService
 * @description
 * @date 2021/1/26 11:21
 **/
@Service
public class AppTeacherliveService {
    @Resource
    private AppTeacherliveMapper appTeacherliveMapper;
    @Autowired
    private MessageSender messageSender;

    //添加
    public Integer save(TAppTeacherlive model) {
        model.setCreatetime(N_Utils.getSecondTimestamp());
        appTeacherliveMapper.insertUseGeneratedKeys(model);
        return model.getId();
    }

    //删除
    public Integer deleteById(Integer versionid) {
        List<String> resourceUrls = appTeacherliveMapper.listApppath(versionid);//获取APP文件
        Integer result = appTeacherliveMapper.deleteByPrimaryKey(versionid);
        if(N_Utils.isListNotEmpty(resourceUrls)){
            messageSender.resourceDel(resourceUrls);//给文件服务器发送mq删除文件
        }
        return result;
    }

    //修改
    public Integer update(TAppTeacherlive model) {
        return appTeacherliveMapper.updateByPrimaryKeySelective(model);
    }

    //获取详情
    public TAppTeacherlive findById(Integer versionid) {
        return appTeacherliveMapper.findById(versionid);
    }

    //获取列表
    public List <AppversionVo> listAll() {
        return appTeacherliveMapper.listAll();
    }

    /**
     * 获取最新app版本
     * @Param []
     * @Author ywx
     * @Date 2020/6/17 13:45
     * @return com.xhkjedu.model.appversion.TApppc
     **/
    public TAppTeacherlive getNew() {
        return appTeacherliveMapper.getNew();
    }
}
